Skip to main content
`Ctrl`+`K`

# EPSPRIMMESetMethod

Sets the method for the PRIMME library.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSPRIMMESetMethod(EPS eps,EPSPRIMMEMethod method)

Logically Collective

## Input Parameters

- eps - the linear eigensolver context

- method - method that will be used by PRIMME

## Options Database Key

- -eps_primme_method <method> - sets the method for the PRIMME library

## Notes

If not set, the method defaults to `EPS_PRIMME_DEFAULT_MIN_TIME`.

See the documentation of PRIMME [Stathopoulos and McCombs, 2010] for a description of the methods.

## References

[Sta10]

A. Stathopoulos and J. R. McCombs. PRIMME: PReconditioned Iterative MultiMethod Eigensolver: methods and software description. ACM Trans. Math. Software, 37(2):21:1–21:30, 2010. doi:10.1145/1731022.1731031.

## See Also

EPS: Eigenvalue Problem Solver, `EPSPRIMME`, `EPSPRIMMEGetMethod()`, `EPSPRIMMEMethod`

## Level

advanced

## Location

src/eps/impls/external/primme/primme.c

## Implementations

EPSPRIMMESetMethod_PRIMME() in src/eps/impls/external/primme/primme.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages